//--------------------------------------
// Execution
//--------------------------------------

window.onload = function() {

  /* ----------------------------------
      Localize strings
  ------------------------------------- */
  var lang = getParam('ln');

  if (!lang || loc_supportedLangs.indexOf(lang) == -1) {
    lang = "en";
  }

  for (var str in loc_langs) {
    var uid = 'l_' + str;
    var els = document.querySelectorAll('.' + uid);
    for (var i = 0; i < els.length; i++) {
      els[i].innerHTML = loc_langs[str][lang];
    }
  }

  // Do special localization for "placeholder" text in form
  for (var str in loc_langs) {
    var uid = 'p_' + str;
    var els = document.querySelectorAll('.' + uid);
    for (var i = 0; i < els.length; i++) {
      els[i].placeholder = loc_langs[str][lang];
    }
  }


  /* ----------------------------------
      Get locale and try to pre-select country
  ------------------------------------- */
  var locale = Intl.NumberFormat().resolvedOptions().locale.split('-');
  var countrySelect = document.getElementById("trial_country");
  if (countrySelect) {
    countrySelect.addEventListener('change', function() { showStateAndConsent(this.value) });
    if (locale) {
      var country = locale.slice(-1)[0];
      countrySelect.value = country;
    }
  }
  showStateAndConsent();


  /* ----------------------------------
      Set up form validation event listeners
  ------------------------------------- */
  v_trial_flds = document.querySelectorAll('[data-validate-trial-info]');
  v_trial_flds.forEach(function(input, idx) {
    switch(input.type) {
      case 'select-one':
        input.addEventListener('change', function(e) { validateTrialForm(v_trial_flds); });
        break;
      case 'checkbox':
        input.addEventListener('change', function(e) { validateTrialForm(v_trial_flds); });
        break;
      default:
        input.addEventListener('input', function(e) { validateTrialForm(v_trial_flds); });
      }
  });


  /* ----------------------------------
      Set action for success message
  ------------------------------------- */
  if (document.querySelector('#a_trial_form')) {
    var trial_activate = document.querySelector('#trial_activate_success');
    document.querySelector('#a_trial_form').addEventListener('submit', function(e) {
      e.preventDefault();
      collectTrialData();

      //alert(JSON.stringify(elq_send_post.url));
      //alert(JSON.stringify(elq_send_post.data));



      if (!elq_send_post.dbg) {
        PostFormData();
      } else {
        console.log(elq_send_post);
        console.log('========= POST params: ==========');
        console.log(elq_send_post.data.replace(/&/g, '\n'));
        alert("Debug mode: Post data sent to console.");
      }
	  
	  slideLeftAppear(trial_activate);
	  document.getElementById("btn_trial_close").focus();
	  window.location.href = "app:3000";

      //var post_text_div = document.getElementById('post_text');
      //post_text_div.innerHTML = JSON.stringify(elq_send_post.data);

    }, true);
  }

  InitNativeHandlers();

  //window.alert("OnLoad Complete");
  window.location.href = "#ONLOADCOMPLETE";
}

